This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 822287

Summary: [abrt] kernel: WARNING: at kernel/watchdog.c:241 watchdog_overflow_callback+0x9a/0xc0()
Product: [Fedora] Fedora Reporter: Jason Carpenter <argonaut.linux>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, marco
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:278fb2da4fef466966350acbb3cded1e4457620c
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-24 09:17:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jason Carpenter 2012-05-16 19:41:28 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.5-2.fc16.x86_64 root=/dev/mapper/vg_sheppard-lvroot ro rd.md=0 rd.lvm.lv=vg_sheppard/lvroot rd.dm=0 KEYTABLE=us quiet rd.lvm.lv=vg_sheppard/lv_swap rhgb rd.luks=0 SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8
comment:        I'm not sure what caused the issue but I occasionally get this error after waking from suspend.  Nothing appears to have failed, I just get the error.
kernel:         3.3.5-2.fc16.x86_64
reason:         WARNING: at kernel/watchdog.c:241 watchdog_overflow_callback+0x9a/0xc0()
time:           Tue 15 May 2012 11:10:31 PM EDT

backtrace:
:WARNING: at kernel/watchdog.c:241 watchdog_overflow_callback+0x9a/0xc0()
:Hardware name: AOD255
:Watchdog detected hard LOCKUP on cpu 0
:Modules linked in: vfat fat fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 lockd cxgb3i libcxgbi cxgb3 mdio fcoe libfcoe ib_iser rdma_cm libfc 8021q garp stp llc ib_cm iw_cm scsi_transport_fc ib_sa ib_mad scsi_tgt ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack arc4 acer_wmi sparse_keymap uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops microcode joydev snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device i2c_i801 iTCO_wdt iTCO_vendor_support iwlwifi snd_pcm mac80211 cfg80211 atl1c rfkill snd_timer snd soundcore snd_page_alloc uinput sunrpc ums_eneub6250 usb_storage wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 6, comm: migration/0 Not tainted 3.3.5-2.fc16.x86_64 #1
:Call Trace:
: <NMI>  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff810e304a>] watchdog_overflow_callback+0x9a/0xc0
: [<ffffffff81119ccc>] __perf_event_overflow+0x9c/0x220
: [<ffffffff81117671>] ? perf_event_update_userpage+0x11/0xc0
: [<ffffffff81024efa>] ? x86_perf_event_set_period+0xda/0x150
: [<ffffffff8111a664>] perf_event_overflow+0x14/0x20
: [<ffffffff81029363>] intel_pmu_handle_irq+0x163/0x2e0
: [<ffffffff815f5de1>] perf_event_nmi_handler+0x21/0x30
: [<ffffffff815f568a>] do_nmi+0x12a/0x3b0
: [<ffffffff815f4bc4>] restart_nmi+0x1a/0x1e
: [<ffffffff812d2941>] ? find_first_bit+0x1/0x80
: [<ffffffff812d2941>] ? find_first_bit+0x1/0x80
: [<ffffffff812d2941>] ? find_first_bit+0x1/0x80
: <<EOE>>  [<ffffffff810925ea>] ? find_busiest_group+0x60a/0xbb0
: [<ffffffff81092c6e>] load_balance+0xde/0x9c0
: [<ffffffff8101bc23>] ? native_sched_clock+0x13/0x80
: [<ffffffff8108ddb8>] ? sched_clock_cpu+0xa8/0x110
: [<ffffffff81087683>] ? update_rq_clock+0x43/0x1b0
: [<ffffffff8109390c>] idle_balance+0xcc/0x130
: [<ffffffff81088b50>] ? __migrate_task+0x170/0x170
: [<ffffffff815f2e78>] __schedule+0x708/0x7b0
: [<ffffffff81088b50>] ? __migrate_task+0x170/0x170
: [<ffffffff81088b50>] ? __migrate_task+0x170/0x170
: [<ffffffff815f323f>] schedule+0x3f/0x60
: [<ffffffff810c8ed5>] cpu_stopper_thread+0x115/0x1a0
: [<ffffffff815f2b34>] ? __schedule+0x3c4/0x7b0
: [<ffffffff81082448>] ? __wake_up_common+0x58/0x90
: [<ffffffff810c8dc0>] ? __stop_cpus+0x80/0x80
: [<ffffffff81079d83>] kthread+0x93/0xa0
: [<ffffffff815fd6a4>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079cf0>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff815fd6a0>] ? gs_change+0x13/0x13
Comment 1 Marco Scannadinari 2012-08-31 17:13:51 EDT
This bug also occurs with me running the stock Ubuntu kernel, though is triggered only sometimes on shutdown, not suspend.

https://bugs.launchpad.net/linux/+bug/1043755
Comment 2 Josh Boyer 2012-09-18 11:59:42 EDT
Are you still seeing this with the 3.4 or 3.5 kernel updates?
Comment 3 Marco Scannadinari 2012-09-22 12:54:20 EDT
Currently, I have the 3.2-0-30-generic Ubuntu kernel. Though I am unsure how to upgrade my kernel, and have it patched for ubuntu. This bug, BTW is caused as a result of a fglrx bug at shutdown. https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1043755. Though this has been fixed after I had installed the 12.8 driver from the AMD website - I don't seem to be getting this bug anymore.